# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section		free

Name:		apache-axiom
Version:	1.0
Release:	1jpp
Epoch:		0
Summary:	AXIOM refers to the XML infoset model that was initialy developed for Apache Axis2.
License:	Apache Software License 2.0
Url:		http://ws.apache.org/commons/axiom/
Group:		Text Processing/Markup/XML
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	%{name}-%{version}.tar.gz
##svn export http://svn.apache.org/repos/asf/webservices/commons/tags/axiom/1_0/axiom/ apache-axiom

Source1:        pom-maven2jpp-mapdeps.xsl
Source2:        %{name}-jpp-depmap.xml

Patch0:			%{name}-nodeletedist.patch

BuildRequires:	jpackage-utils >= 0:1.6
BuildRequires:	maven >= 1.1
BuildRequires:	maven-plugins-base
BuildRequires:	maven-plugin-license
BuildRequires:	maven-plugin-test
BuildRequires:	geronimo-j2ee-1.4-apis
BuildRequires:	geronimo-javamail-1.3.1-api
BuildRequires:	jakarta-commons-logging
BuildRequires:	jaxen
BuildRequires:	junit
BuildRequires:	log4j
BuildRequires:	bea-stax
BuildRequires:	xml-commons-apis
BuildRequires:	xmlunit

Requires:		jpackage-utils >= 0:1.6
Requires:		geronimo-j2ee-1.4-apis
Requires:		geronimo-javamail-1.3.1-api
Requires:		jakarta-commons-logging
Requires:		jaxen
Requires:		junit
Requires:		log4j
Requires:		bea-stax
Requires:		xml-commons-apis
Requires:		xmlunit

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
AXIOM stands for AXis Object Model (also known as OM - Object Model)
and refers to the XML infoset model that is initialy developed for
Apache Axis2.

%package dom
Summary:	DOM for %{name}
Group:		Text Processing/Markup/XML

%description dom
DOM for %{name}.

%package api
Summary:	API for %{name}
Group:		Text Processing/Markup/XML

%description api
API for %{name}.

%package impl
Summary:	Implementation for %{name}
Group:		Text Processing/Markup/XML

%description impl
Implementation for %{name}.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}

%patch0 -b .sav

%build

mkdir -p $(pwd)/.maven/repository/JPP/jars

for p in $(find . -name project.xml); do
    pushd $(dirname $p)
    cp project.xml project.xml.orig
    /usr/bin/saxon -o project.xml project.xml.orig %{SOURCE1} map=%{SOURCE2}
    popd
done

for p in $(find . -name project.properties); do
    echo >> $p
    echo maven.repo.remote=file:/usr/share/maven/repository >> $p
    echo maven.home.local=$(pwd)/.maven >> $p
done

export MAVEN_HOME_LOCAL=$(pwd)/.maven
maven \
		-Dmaven.test.failure.ignore=true \
        -Dmaven.repo.remote=file:/usr/share/maven-1.0/repository dist-bin

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/axiom
install -m 644 target/axiom-%{version}.jar \
		$RPM_BUILD_ROOT%{_javadir}/axiom/axiom-%{version}.jar
install -m 644 target/axiom-api-%{version}.jar \
		$RPM_BUILD_ROOT%{_javadir}/axiom/api-%{version}.jar
install -m 644 target/axiom-impl-%{version}.jar \
		$RPM_BUILD_ROOT%{_javadir}/axiom/impl-%{version}.jar
install -m 644 target/axiom-dom-%{version}.jar \
		$RPM_BUILD_ROOT%{_javadir}/axiom/dom-%{version}.jar

# create unprefixed and unversioned symlinks
(cd $RPM_BUILD_ROOT%{_javadir}/axiom
for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done
)

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/axiom-%{version}
cp -pr target/dist/temp/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/axiom-%{version}/
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/axiom

install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/axiom-%{version}
cp *.txt $RPM_BUILD_ROOT%{_docdir}/axiom-%{version}
cp -r xdocs $RPM_BUILD_ROOT%{_docdir}/axiom-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/axiom
ln -s axiom-%{version} %{_javadocdir}/axiom

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/axiom
fi

%files
%defattr(0644,root,root,0755)
%doc %{_docdir}/axiom-%{version}/*
%dir %{_docdir}/axiom-%{version}
%dir %{_javadir}/axiom
%{_javadir}/axiom/axiom-%{version}.jar
%{_javadir}/axiom/axiom.jar

%files api
%defattr(0644,root,root,0755)
%dir %{_javadir}/axiom
%{_javadir}/axiom/api*.jar

%files impl
%defattr(0644,root,root,0755)
%dir %{_javadir}/axiom
%{_javadir}/axiom/impl*.jar

%files dom
%defattr(0644,root,root,0755)
%dir %{_javadir}/axiom
%{_javadir}/axiom/dom*.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/axiom-%{version}
%ghost %doc %{_javadocdir}/axiom

%changelog
* Fri May 19 2006 Deepak Bhole <dbhole@redhat.com> 0:1.0-1jpp
- Initial build
